//
// CalendarBuilder.h
// Project
//
// Created by 杨殷杭 on 16/12/27.
//
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import <FSCalendar/FSCalendar.h>

@interface CalendarManager : NSObject <FSCalendarDataSource, FSCalendarDelegate, FSCalendarDelegateAppearance>

@property (nonatomic, strong) NSDate *minimumDate;
@property (nonatomic, strong) NSDate *maximumDate;
@property (nonatomic, strong) NSArray<NSDate *> *enabledDates;
@property (nonatomic, strong, readonly) NSDate *startDate;
@property (nonatomic, strong, readonly) NSDate *endDate;

- (void)setDidSelectDateBlock:(void (^)(NSDate *date))block;

+ (void)calendar:(FSCalendar *)calendar setCurrentPage:(NSDate *)date;
+ (void)calendar:(FSCalendar *)calendar selectDate:(NSDate *)date;
+ (void)calendar:(FSCalendar *)calendar selectDates:(NSArray<NSDate *> *)dates;

- (void)configureRangeSelectionCalendar:(FSCalendar *)calendar;
- (void)calendar:(FSCalendar *)calendar selectRangeFromStartDate:(NSDate *)startDate toEndDate:(NSDate *)endDate;

@end
