//
// CalendarViewController.h
// Project
//
// Created by 杨殷杭 on 17/1/8.
//
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import "CalendarManager.h"
#import <FSCalendar/FSCalendar.h>

@interface CalendarViewController : UIViewController

@property (nonatomic, assign) BOOL allowsToday;
@property (nonatomic, assign) BOOL allowsMultipleSelection;
@property (nonatomic, assign) BOOL allowsRangeSelection;
@property (nonatomic, strong, readonly) FSCalendar *calendar;
@property (nonatomic, strong, readonly) CalendarManager *calendarManager;

- (void)selectDate:(NSDate *)date;
- (void)selectDates:(NSArray<NSDate *> *)dates;
- (void)selectRangeFromStartDate:(NSDate *)startDate toEndDate:(NSDate *)endDate;

- (void)setDidCancelBlock:(void (^)(void))block;
- (void)setDidDoneMultipleBlock:(void (^) (NSArray<NSDate *> *dates))block;
- (void)setDidDoneRangeBlock:(void (^) (NSDate *startDate, NSDate *endDate))block;

@end
